org.apache.ignite.internal.processors.diagnostic

## Class PageHistoryDiagnoster.DiagnosticPageBuilder

- java.lang.Object
- - org.apache.ignite.internal.processors.diagnostic.PageHistoryDiagnoster.DiagnosticPageBuilder

Enclosing class:
  PageHistoryDiagnoster

    public static class PageHistoryDiagnoster.DiagnosticPageBuilder
    extends Object

Parameters for diagnostic pages.

### Constructor Summary

Constructors
Constructor and Description
`DiagnosticPageBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PageHistoryDiagnoster.DiagnosticPageBuilder` `addAction(DiagnosticProcessor.DiagnosticAction action)`
`PageHistoryDiagnoster.DiagnosticPageBuilder` `folderForDump(@NotNull File file)`
`PageHistoryDiagnoster.DiagnosticPageBuilder` `pageIds(T2<Integer,Long>... pageIds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagnosticPageBuilder

    public DiagnosticPageBuilder()

### Method Detail

#### pageIds

    public PageHistoryDiagnoster.DiagnosticPageBuilder pageIds(T2<Integer,Long>... pageIds)

Parameters:
  `pageIds` - Pages for searching in WAL.
Returns:
  This instance for chaining.

#### addAction

    public PageHistoryDiagnoster.DiagnosticPageBuilder addAction(@NotNull
                                                                 DiagnosticProcessor.DiagnosticAction action)

Parameters:
  `action` - Action after which should be executed after WAL scanning .
Returns:
  This instance for chaining.

#### folderForDump

    public PageHistoryDiagnoster.DiagnosticPageBuilder folderForDump(@NotNull
                                                                     @NotNull File file)

Parameters:
  `file` - Folder for dump diagnostic info.
Returns:
  This instance for chaining.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021